package main

import (
	"flag"
	"log"

	"gitea.hashru.nl/dsprenkels/rushlink/db"
	"gitea.hashru.nl/dsprenkels/rushlink/handlers"
	"gitea.hashru.nl/dsprenkels/rushlink/metrics"
)

func main() {
	var databasePath, fileStorePath string

	flag.StringVar(&databasePath, "database", "", "Location of the database file")
	flag.Parse()

	if err := db.Open(databasePath); err != nil {
		log.Fatalln(err)
	}
	defer db.Close()

	go metrics.StartMetricsServer()
	handlers.StartMainServer()
}
